import request from '@/utils/request'

// 查询分离培训模版列表
export function listFlPlan(query) {
  return request({
    url: '/training/flPlan/list',
    method: 'get',
    params: query
  })
}

// 查询分离培训模版详细
export function getFlPlan(id) {
  return request({
    url: '/training/flPlan/' + id,
    method: 'get'
  })
}

// 新增分离培训模版
export function addFlPlan(data) {
  return request({
    url: '/training/flPlan',
    method: 'post',
    data: data
  })
}

// 修改分离培训模版
export function updateFlPlan(data) {
  return request({
    url: '/training/flPlan',
    method: 'put',
    data: data
  })
}

// 删除分离培训模版
export function delFlPlan(id) {
  return request({
    url: '/training/flPlan/' + id,
    method: 'delete'
  })
}

// 导出分离培训模版
export function exportFlPlan(query) {
  return request({
    url: '/training/flPlan/export',
    method: 'get',
    params: query
  })
}
